Subject: Re: bug#57449: 29.0.50; does not show "more Fonts" "By Family" when setting default font via menu "Options" --> "Set Default Font..."

From: Gregor Zattler <[email-masked]>
Date: Sun, 28 Aug 2022 12:27:11 +0200

* Po Lu <[email-masked]> [2022-08-28; 09:12 +08]:
> Gregor Zattler <[email-masked]> writes:
> I think the problem is that there are too many fonts installed on your
> system.  Most menu libraries handle this situation noticeably badly,
> since Emacs currently has no way to lazily specify the contents of a
> menu.

OK, I see, I had >1800 noto font files installed.  I purged
them, now fc-cache reports on 110 font directories, which
contain 953 files from which there are 189 truetype files.
Is this considered many nowadays?

Now the font selection was visible.  It fills the full
height of my 4K monitor but I have the impression it does
not show all fonts (see below).

In order to achieve a visible change of my default font I
choose Microsoft Comic Sans.  But nothing happens, I still
see fira code.

> The reason the oldXMenu is noticably worse off here, than, say, the
> Lucid menu, is because it maps a separate window (known as "panes" in
> the XMenu library) for each font family.  With hundreds of these
> windows, the X server becomes noticeably slow, and the menu can be
> dismissed after the panes load, if you click outside Emacs in
> frustration.

I reinstalled all noto fonts and strange enough this time I
see menus, but only some of the noto fonts.  I assume there
are more noto fonts, but I cannot see a font which is not
noto.  I assume that is, because of the stacked nature of
the layout of the menu there is not enough space on my 4K
monitor for all the fonts.

I wished for a font selection where I can choose among
rendered fonts and their attributes and see the effect of my
decisions before applying them.

Thanks for your attention and helpful explanation; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-